Hi All
In code below note I enter curves into the list from the bottom curve to the top curve then loft.
My expectation is that it will loft from the first entry toward the last, so I enter my point3d as the endpoint in the command… the heart is inverted but set as the start point it works, meaning the loft runs backwards through the curve list from the top down? Is this the intended function?
protected override Result RunCommand(RhinoDoc doc, RunMode mode)
{
var LoftList = new List<Curve>();
var PointCount = 0;
var rc = RhinoGet.GetInteger("Points:", true, ref PointCount, 0, 200);
if (rc != Result.Success)
return rc;
NurbsCurve Heart = DrawHeart(PointCount); //draw the Sin() heart
var Heart2 = new NurbsCurve(Heart.ToNurbsCurve()); //copy it
Heart.Translate(new Vector3d(0, 0, 5));// move it up
Point3d dot = new Point3d(0, 0, 5); //create the endpoint
LoftList.Add(Heart);
LoftList.Add(Heart2);
var HeartSurface = Brep.CreateFromLoft(LoftList, dot, Point3d.Unset, LoftType.Loose,false);
doc.Objects.AddBrep(HeartSurface[0]);
doc.Views.Redraw();
return Result.Success;
}